/*
	
	DOS.h
	

*/

#ifndef DOS_H
#define DOS_H

#ifndef FileSystem_H
#include "FileSystem.h"
#endif

#ifndef DirPanel_H
#include "DirPanel.h"
#endif

extern char *mcwd;
extern char *volume;
int 	mmd (int argco, char *argval[]);
void 	mwrite (int argc, char *argv[]);

class DOS : public FileSystem {
public:
				DOS (char *device, short partNum);
void 			MessageReceived(BMessage *mess);
bool			QuitRequested();
	bool		status;


private:

	char		devname [100];
	char		pathdir[1000];
	int			nument;	
	DirPanel 	*myDirPanel;

	char mcwd [1000];		/* the Current Working Directory */

	struct {
			char *name;
			short flags;
			}			list[500];

void			ShowFilePanel(const char *windowTitle, const char *buttonTitle, BMessage *msg);
	
void 			listDir(char *path);
void 			CopyToBe (char *name, BFile *ref);
void 			CopyDirToBe (char *name, BDirectory *BeDir);
void 			CopyFileToBe (char *name, BDirectory *BeDir);
void			CopyFileToDOS (BFile *BeFile);
void			CopyDirToDOS (BDirectory *BeDir);
int				mread (int argc, char *argv[]);
void 			mwrite (int argc, char *argv[]);
					
};

#endif
